# api_msg_msg Struct Reference

`#include <api_msg.h>`

## Data Fields

netconn * | conn
enum netconn_type | conntype
union {
pbuf * p
struct {
ip_addr * ipaddr
uInt16 port
} bc
struct {
void * dataptr
uInt16 len
unsigned char copy
} w
sys_mbox_t mbox
uInt16 len
} | msg

## Field Documentation

struct { ... } api_msg_msg::bc

struct netconn* api_msg_msg::conn

enum netconn_type api_msg_msg::conntype

unsigned char api_msg_msg::copy

void* api_msg_msg::dataptr

struct ip_addr* api_msg_msg::ipaddr

uInt16 api_msg_msg::len

sys_mbox_t api_msg_msg::mbox

union { ... } api_msg_msg::msg

struct pbuf* api_msg_msg::p

uInt16 api_msg_msg::port

struct { ... } api_msg_msg::w

The documentation for this struct was generated from the following file:

- api_msg.h